Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231292 - 'Inactive Servers WILL BE DELETED' email has pxt links
Summary: 'Inactive Servers WILL BE DELETED' email has pxt links
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Other
Version: RHN Stable
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike Orazi
QA Contact: Corey Welton
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-07 15:21 UTC by Máirín Duffy
Modified: 2007-05-17 02:20 UTC (History)
1 user (show)

Fixed In Version: rhn501h
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-17 02:20:54 UTC


Attachments (Terms of Use)
full email text (deleted)
2007-03-07 15:21 UTC, Máirín Duffy
no flags Details

Description Máirín Duffy 2007-03-07 15:21:26 UTC
Description of problem:
The links still seem to work in prod right now (416 in prod) but:

https://rhn.redhat.com/network/systems/system_list/inactive.pxt
https://rhn.redhat.com/help/forgot_password.pxt

Are currently sent out in the 'activate servers will be deleted' email. These
links should be:

https://rhn.redhat.com/rhn/systems/Inactive.do
https://www.redhat.com/wapps/sso/rhn/lostPassword.html

For now, they seem to work althoug the inactive system list is a little funky
(it appears as if it's part of your rhn instead of systems.) While the
forgot_password.pxt page loads, I don't know if it's resetting passwords
correctly, etc.

I'm attaching the full text of the message I received from RHN.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Máirín Duffy 2007-03-07 15:21:27 UTC
Created attachment 149457 [details]
full email text

Comment 2 Bret McMillan 2007-03-16 18:27:19 UTC
I'm pretty sure we stopped running the actual deletion script.  One would think
we'd either stop this mailing, or start the deletions and fix this script.

Mike, can you track this down w/ soc?

Comment 3 Bret McMillan 2007-03-16 18:27:49 UTC
I'm pretty sure we stopped running the actual deletion script.  One would think
we'd either stop this mailing, or start the deletions and fix this script.

Mike, can you track this down w/ soc?

Comment 4 Mike Orazi 2007-03-26 18:42:34 UTC
Updated the mail template (501 hosted, rev 113846).  There is still an ongoing
discussion with prod ops, but the fix was easy enough that it is better to just
have it in place.

Comment 5 Bret McMillan 2007-03-27 19:27:08 UTC
Test plan?

Comment 6 James Bowes 2007-04-19 15:08:37 UTC
1.  Stop sendmail,
2.  /usr/bin/fakemail.py --port=25 --log=/var/log/rhn/notify_server.log
3.  set notify_servers to 1 in /etc/rhn/default/rhn_tools.conf
4.  Run notify_server --verbose (from /etc/cron.daily/notify_server),
5.  grep for an email address in /var/spool/clientmqueue
6.  find a line that starts with E-Mail:
6.  look in the file containing that line, and observe that the links are fixed. 

Comment 7 Corey Welton 2007-04-30 20:12:06 UTC
Verified that nothing with 'pxt' appears in the generated emails.


Comment 8 Corey Welton 2007-05-09 21:14:39 UTC
Should be on Stage - not possible for QA to verify, however.

Comment 9 Brandon Perkins 2007-05-17 02:20:54 UTC
Closed for RHN 501 Hosted.


Note You need to log in before you can comment on or make changes to this bug.